@REM Creates and populates VIDEOS.

db2 connect reset
db2 create database VIDEOS
db2 connect to VIDEOS

db2 "CREATE TABLE XMLTEST.customers (cust_id INTEGER NOT NULL, name VARCHAR(20), PRIMARY KEY (cust_id))"
db2 "CREATE TABLE XMLTEST.videos (vid_id INTEGER NOT NULL, title VARCHAR(50), genre VARCHAR(10), store INTEGER, PRIMARY KEY (vid_id))"
db2 "CREATE TABLE XMLTEST.employees (emp_id INTEGER NOT NULL, name VARCHAR(20), job_title VARCHAR(20), hire_date DATE, store INTEGER, fav_vid INTEGER, PRIMARY KEY (emp_id))"
db2 "CREATE TABLE XMLTEST.store (store_id INTEGER NOT NULL, address VARCHAR(40), PRIMARY KEY (store_id))"
db2 "CREATE TABLE XMLTEST.rentals (cust_id INTEGER NOT NULL, vid_id INTEGER NOT NULL, date DATE NOT NULL, sales_rep INTEGER, PRIMARY KEY (cust_id, vid_id, date))"

@REM This table doesn't make much sense from a DB point of view, but we wanted to be able
@REM  to test a foreign key that references a multi-column primary key.
db2 "CREATE TABLE XMLTEST.lostRentals (lost_id INTEGER NOT NULL, cust_id INTEGER, vid_id INTEGER, date DATE, fine DOUBLE, PRIMARY KEY (lost_id))"


db2 "ALTER TABLE XMLTEST.videos ADD FOREIGN KEY (store) REFERENCES XMLTEST.store (store_id)"
db2 "ALTER TABLE XMLTEST.employees ADD FOREIGN KEY (store) REFERENCES XMLTEST.store (store_id) ADD FOREIGN KEY (fav_vid) REFERENCES XMLTEST.videos (vid_id)"
db2 "ALTER TABLE XMLTEST.rentals ADD FOREIGN KEY (cust_id) REFERENCES XMLTEST.customers (cust_id) ADD FOREIGN KEY (vid_id) REFERENCES XMLTEST.videos (vid_id) ADD FOREIGN KEY (sales_rep) REFERENCES XMLTEST.employees (emp_id)"
db2 "ALTER TABLE XMLTEST.lostRentals ADD FOREIGN KEY (cust_id, vid_id, date) REFERENCES XMLTEST.rentals (cust_id, vid_id, date)"

db2 "import from customers.txt of del insert into XMLTEST.customers (cust_id, name)"
db2 "import from store.txt of del insert into XMLTEST.store (store_id, address)"
db2 "import from videos.txt of del insert into XMLTEST.videos (vid_id, title, genre, store)"
db2 "import from employees.txt of del insert into XMLTEST.employees(emp_id, name, job_title, hire_date, store, fav_vid)"
db2 "import from rentals.txt of del insert into XMLTEST.rentals (cust_id, vid_id, date, sales_rep)"
db2 "import from lostRentals.txt of del insert into XMLTEST.lostRentals (lost_id, cust_id, vid_id, date, fine)"

db2 connect reset